Bug 237281 - CVE-2007-0243 GIF buffer overflow
Summary: CVE-2007-0243 GIF buffer overflow
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: java-1.5.0-ibm   
(Show other bugs)
Version: 4.4
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard: reported=20070417,source=internet,imp...
Keywords: Security
Depends On: 236894
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-20 16:25 UTC by Thomas Fitzsimmons
Modified: 2007-11-17 01:14 UTC (History)
1 user (show)

Fixed In Version: RHSA-2007-0167
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-25 16:48:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0167 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2007-04-25 16:47:53 UTC

Description Thomas Fitzsimmons 2007-04-20 16:25:00 UTC
+++ This bug was initially created as a clone of Bug #236894 +++

In January 2007 a flaw was found affecting the SUN JRE; "Buffer overflow in Sun
JDK and Java Runtime Environment (JRE) 5.0 Update 9 and earlier, SDK and JRE
1.4.2_12 and earlier, and SDK and JRE 1.3.1_18 and earlier allows applets to
gain privileges via a GIF image with a block with a 0 width field, which
triggers memory corruption."

On 17th April 2007 IBM updated their alerts page to note that this issue
affected the IBM JRE and was fixed in 1.5.0SR4

Also affects RHEL4Extras

-- Additional comment from fitzsim@redhat.com on 2007-04-18 13:58 EST --
I've requested updated tarballs from my IBM contact.  I'll see if I can get what
I need from the public IBM site in the mean time.

Comment 4 Red Hat Bugzilla 2007-04-25 16:48:24 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0167.html



Note You need to log in before you can comment on or make changes to this bug.